Fehler bei automatischer Codereview (Community Store)

Hallo Zusammen, 

 

aktuell möchten wir unser 1. Plugin in den SW Community Store stellen.
Leider scheitert das Ganze an der automatischen Review 

Folgender Fehler wird geworfen: 

 No bootstrapping file found. Expecting bootstrapping in /.php

Unserer Konfiguration steht ab 5.3 zur Verfügung, sodass wir unsere Plugins in custom/plugins packen.

Gezippt wird der Plugin Order sammt Inhalt also:

NeulandPlugin/NeulandPlugin.php
NeulandPlugin/Models/
NeulandPlugin/Controllers/

Könnte hier jemand helfen? 

 

Ist der Klassenname in der NeulandPlugin.php auch korrekt gesetzt?

@Moritz Naczenski schrieb:

Ist der Klassenname in der NeulandPlugin.php auch korrekt gesetzt?

Danke für die schnelle Rückmeldung. :slight_smile:

Ja, die NeulandPlugin.php hat sowohl den namespace NeulandPlugin als auch die Klasse NeulandPlugin.

Ist da vielleicht eine versteckte Datei mit in der zip die nur „.php“ heißt?

@Moritz Naczenski schrieb:

Ist da vielleicht eine versteckte Datei mit in der zip die nur „.php“ heißt?

Nein, das habe ich auch gerade nochmal überprüft. ls -al , zeigt nur die gewünschten Dateien :) 

 

 

Würde es helfen, wenn ich ein Screenshot der Dateistruktur aufnehme und es hier hochlade? :) 

Kannst du auf jeden Fall einmal machen.

@Moritz Naczenski schrieb:

Kannst du auf jeden Fall einmal machen.

Entschuldige die späte Antwort.

 

Hier der untere Part. 

Liegt es vielleicht an den kleinen “A” in Advisor?

@AndreHerking schrieb:

Liegt es vielleicht an den kleinen „A“ in Advisor?

Danke für die Antwort :slight_smile: Der technische Name, den wir im Pluginaccount angelegt haben lautet auch „NeulandClientadvisor“. Das sollte dann doch passen, oder? 

Ich bin auch jede Datei durchgegangen und habe die Klassen  nach Rechtschreibfehlern überprüft. :O 

Also ich kann erstmal keinen Fehler erkennen. Die Meldung ist sonst auch etwas mehr auf die Datei bezogen. 

 Hast du da mal Kontakt mit unserem Plugin-Team aufgenommen? Das müssten die mal intern prüfen lassen.

@Moritz Naczenski schrieb:

Also ich kann erstmal keinen Fehler erkennen. Die Meldung ist sonst auch etwas mehr auf die Datei bezogen. 

 Hast du da mal Kontakt mit unserem Plugin-Team aufgenommen? Das müssten die mal intern prüfen lassen.

Danke für die Rückmeldung. Ja, ich hatte schon Kontakt aufgenommen. Hier gab es aber nur die Rückmeldung, dass hier für kein Support angeboten wird und die Fehlermeldung eigentlich selbsterklärend sind. Das wäre natürlich toll, wenn sich das jemand anschauen könnte. :)  

Zeig doch mal den Kopf deiner bootstrap.

Viele Grüße

@EikeWarneke schrieb:

Zeig doch mal den Kopf deiner bootstrap.

Viele Grüße

 

Und dein Entwickler-Kürzel bei Shopware ist „Neuland“?

Viele Grüße

Ein Kollege aus unserem Account Team schaut sich das an, scheint ein Problem auf unserer Seite zu sein. Schau am besten heute Mittag nochmal rein, wenn ich dran denke prüfe ich es auch nochmal.

@Moritz Naczenski schrieb:

Ein Kollege aus unserem Account Team schaut sich das an, scheint ein Problem auf unserer Seite zu sein. Schau am besten heute Mittag nochmal rein, wenn ich dran denke prüfe ich es auch nochmal.

Super danke, da bin ich gespannt :) 

@EikeWarneke schrieb:

Und dein Entwickler-Kürzel bei Shopware ist “Neuland”?

Viele Grüße

Genau der Präfix lautet “Neuland” :) 

@janmarkuslanger schrieb:

@Moritz Naczenski schrieb:

Ein Kollege aus unserem Account Team schaut sich das an, scheint ein Problem auf unserer Seite zu sein. Schau am besten heute Mittag nochmal rein, wenn ich dran denke prüfe ich es auch nochmal.

Super danke, da bin ich gespannt :) 

Müsste jetzt geklappt haben. Da gab es intern Probleme mit dem technischen Namen, daher fehlte der auch in der Fehlermeldung und es kam nur “.php”